AWS DMS 대상 - AWS Database Migration Service

기계 번역으로 제공되는 번역입니다. 제공된 번역과 원본 영어의 내용이 상충하는 경우에는 영어 버전이 우선합니다.

AWS DMS 대상

AWS DMS를 사용하여 다음 데이터 스토어를 데이터 마이그레이션용 대상 엔드포인트로 사용할 수 있습니다.

온프레미스 및 Amazon EC2 인스턴스 데이터베이스

  • Enterprise, Standard, Standard One 및 Standard Two 버전용 Oracle 버전 10g, 11g, 12c, 18c 및 19c.

  • Enterprise, Standard, Workgroup 및 Developer 버전용 Microsoft SQL Server 버전 2005, 2008, 2008R2, 2012, 2014, 2016, 2017 및 2019. Web 및 Express 버전은 지원되지 않습니다.

  • MySQL 버전 5.5, 5.6, 5.7 및 8.0.

  • MariaDB (MySQL 호환 데이터 타겟으로 지원) 버전 10.0.0.4, 10.1, 10.3, 10.4

    참고

    대상으로서 MariaDB에 대한 지원은 MySQL이 지원되는 모든 AWS DMS 버전에서 사용할 수 있습니다.

  • PostgreSQL 버전 9.4 이상 (버전 9.x의 경우), 10.x, 11.x, 12.x, 13.x 및 14.0입니다.

  • SAP Adaptive Server Enterprise(ASE) 버전 15, 15.5, 15.7, 16 이상

  • 레디 스 버전 6.x.

아마존 RDS 인스턴스 데이터베이스, Amazon Redshift, Amazon DynamoDB, Amazon S3, 아마존 OpenSearch 서비스, Amazon ElastiCache 레디스, Amazon Kinesis Data Streams, Amazon DocumentDB, Amazon Neptune 및 아파치 카프카용

  • Enterprise, Standard, Standard One 및 Standard Two 버전용 Oracle 버전 11g(버전 11.2.0.3.v1 이상), 12c, 18c 및 19c.

  • 엔터프라이즈, 스탠다드, 워크그룹 및 개발자 에디션용 마이크로소프트 SQL Server 버전 2012, 2014, 2016, 2017 및 2019입니다. Web 및 Express 버전은 지원되지 않습니다.

  • MySQL 버전 5.5, 5.6, 5.7 및 8.0.

  • MariaDB (MySQL 호환 데이터 타겟으로 지원) 버전 10.0.0.4, 10.1, 10.4

    참고

    대상으로서 MariaDB에 대한 지원은 MySQL이 지원되는 모든 AWS DMS 버전에서 사용할 수 있습니다.

  • PostgreSQL 버전 10.x, 12.x, 10.x, 10.x, 10.x, 10.x, 10.x,

  • Amazon Aurora MySQL-Compatible Edition

  • Amazon Aurora PostgreSQL-Compatible Edition

  • Amazon Aurora Serverless v2

  • Amazon Redshift

  • Amazon S3

  • Amazon DynamoDB

  • 아마존 OpenSearch 서비스

  • 아마존 ElastiCache Redis

  • Amazon Kinesis Data Streams

  • Amazon DocumentDB(MongoDB와 호환)

  • Amazon Neptune

  • Apache Kafka -Amazon Managed Streaming for Apache Kafka (Amazon MSK)자체 관리형 Apache Kafka

  • Aurora 포스트그레SQL용 바벨피쉬 (버전 1.2.0) (버전 13.4, 13.5, 13.6)

특정 대상을 사용하는 방법에 대한 자세한 내용은 섹션을 참조하세요.작업AWS DMS끝점.